Bug 924447 - (CVE-2013-1880) CVE-2013-1880 ActiveMQ: XSS vulnerability in portfolioPublish demo application
CVE-2013-1880 ActiveMQ: XSS vulnerability in portfolioPublish demo application
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130321,repor...
: Security
Depends On: 924448
Blocks: 924625 958349
  Show dependency treegraph
 
Reported: 2013-03-21 15:29 EDT by Kurt Seifried
Modified: 2016-03-04 06:54 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 20:14:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-03-21 15:29:57 EDT
Portfolio publisher servlet doesn't sanitize input. For example he following url in Firefox

http://localhost:8161/demo/portfolioPublish?count=1&refresh=%27%3E%3Cscript%3Ealert%28%27XSS%27%29;%3C/script%3E&stocks=IBMW&stocks=BEAS&stocks=MSFT&stocks=SUNW

will trigger JS code.

External references:
https://issues.apache.org/jira/browse/AMQ-4398
Comment 1 Kurt Seifried 2013-03-21 15:31:49 EDT
Created activemq tracking bugs for this issue

Affects: fedora-18 [bug 924448]
Comment 4 errata-xmlrpc 2013-07-09 13:57:34 EDT
This issue has been addressed in following products:

  Fuse MQ Enterprise 7.1.0

Via RHSA-2013:1029 https://rhn.redhat.com/errata/RHSA-2013-1029.html

Note You need to log in before you can comment on or make changes to this bug.